#!/usr/bin/env bash
# Where I keep the sources
BASEDIR=~/sources
SRCDIR="${BASEDIR}/tinge"
# Version of Tinge
VERSION=$(grep version= ${SRCDIR}/setup.py | awk -F '"' '{print $2}' )

# Change to source dir
olddir=$(pwd)
cd ${SRCDIR}

# Build deb
python3 setup.py --command-packages=stdeb.command bdist_deb

cp deb_dist/tinge_${VERSION}-1.dsc ${olddir}
cp deb_dist/python3-tinge_${VERSION}-1_all.deb ${olddir}
rm -r ${SRCDIR}/deb_dist/ ${SRCDIR}/tinge-${VERSION}.tar.gz
cd ${olddir}
